Secret Acl
An item representing an ACL rule applied to the given principal (user or group) on the associated scope point.
AclItem object
An item representing an ACL rule applied to the given principal (user or group) on the associated scope point.
- principalstring
The user name or group name of an existing Databricks principal that the permission applies to.
- permissionstring
The permission level applied to the principal.
READWRITEMANAGE
Get secret ACL details GA
GET
Describes the details about the given ACL, such as the group and permission.
Users must have the MANAGE permission to invoke this API.
Throws RESOURCE_DOES_NOT_EXIST if no such secret scope exists.
Throws PERMISSION_DENIED if the user does not have permission to make this API call.
Throws INVALID_PARAMETER_VALUE if the permission or principal is invalid.
API scopes: secrets
Parameters
- scopestringRequiredquery
The name of the scope to fetch ACL information from.
- principalstringRequiredquery
The principal to fetch ACL information for.
Response
Returns the AclItem object.
Lists ACLs GA
GET
Lists the ACLs set on the given scope.
Users must have the MANAGE permission to invoke this API.
Throws RESOURCE_DOES_NOT_EXIST if no such secret scope exists.
Throws PERMISSION_DENIED if the user does not have permission to make this API call.
API scopes: secrets
Parameters
- scopestringRequiredquery
The name of the scope to fetch ACL information from.
Response
Returns a list of AclItem objects.
Create/update an ACL GA
POST
Creates or overwrites the ACL associated with the given principal (user or group) on the specified scope point. In general, a user or group will use the most powerful permission available to them, and permissions are ordered as follows:
MANAGE- Allowed to change ACLs, and read and write to this secret scope.WRITE- Allowed to read and write to this secret scope.READ- Allowed to read this secret scope and list what secrets are available.
Users must have the MANAGE permission to invoke this API.
Throws RESOURCE_DOES_NOT_EXIST if no such secret scope exists.
Throws INVALID_PARAMETER_VALUE if the permission or principal is invalid.
Throws PERMISSION_DENIED if the user does not have permission to make this API call.
API scopes: secrets
Request body
- scopestringRequired
The name of the scope to apply permissions to.
- principalstringRequired
The user name or group name of an existing Databricks principal that the permission applies to.
- permissionstringRequired
The permission level applied to the principal.
READWRITEMANAGE
Delete an ACL GA
POST
Deletes the given ACL on the given scope.
Users must have the MANAGE permission to invoke this API.
Throws RESOURCE_DOES_NOT_EXIST if no such secret scope, principal, or ACL exists.
Throws PERMISSION_DENIED if the user does not have permission to make this API call.
Throws INVALID_PARAMETER_VALUE if the permission or principal is invalid.
API scopes: secrets
Request body
- scopestringRequired
The name of the scope to remove permissions from.
- principalstringRequired
The principal to remove an existing ACL from.